CURVD(3NCARG)

NAME
CURVD - derivatives for 1D functions.

SYNOPSIS
FUNCTION CURVD (T, N, X, Y, YP, SIGMA)

This function calculates a derivative at a specified point using a spline under tension. CURV1 must be called prior to calling CURVD, and the values thus obtained used as input to CURVD. The derivative value is returned.

DESCRIPTION

T   (real, input) The abscissa for which an interpolated function value is desired.

N   (integer, input) The number of input data values. (N > 1)

X   (real, input) An array containing the abscissae for the input function.

Y   (real, input) An array containing the functional values of the input data -- Y(K) is the functional value at X(K) for K=1,N.

YP  (real, input) Contains values for the second derivative (as calculated by CURV1).

SIGMA
    (real, input) Tension factor. Values near zero result in a cubic spline; large values (e.g. 50) result in nearly a polygonal line. A typical value is 1.

RETURN VALUE
CURVD returns the derivative value of the interpolated curve at the specified point T.

ACCESS
To use CURVD, load the NCAR Graphics library ngmath.

SEE ALSO
curv1, fitgrid_params.

Complete documentation for Fitgrid is available at URL
http://ngwww.ucar.edu/ngdoc/ng/ngmath/fitgrid/fithome.html

COPYRIGHT
Copyright (C) 2000
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.